﻿using System;
using System.Windows.Forms;

namespace CornerBowl.Forms
{
    public partial class MultiLineTextBoxForm : Form
    {
        private string value;

        public MultiLineTextBoxForm(string value)
        {
            this.value = value;
            InitializeComponent();
        }

        private void MultiLineTextBoxForm_Shown(object sender, EventArgs e)
        {
            txt.Text = value;
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            value = txt.Text;
            DialogResult = DialogResult.OK;
        }

        public string Value { get { return value; } }
    }
}
